# IRsDockedWindow Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
Methods
HRESULT | OnMove ([in] RtShort sDeltaX,[in] RtShort sDeltaY)
HRESULT | OnResize ([in] RtShort sLeft,[in] RtShort sTop,[in] RtShort sWidth,[in] RtShort sHeight)
HRESULT | UpdatePosition (void)
## Properties
Properties
RtShort * | TargetCorner`[get]`
RtShort | TargetCorner`[set]`
RtShort * | DockedCorner`[get]`
RtShort | DockedCorner`[set]`
RtBool * | Docked`[get]`
RtShort * | OffsetX`[get]`
RtShort | OffsetX`[set]`
RtShort * | OffsetY`[get]`
RtShort | OffsetY`[set]`
IUnknown ** | DockingTarget`[get]`
IUnknown * | DockingTarget`[set]`
RECT * | DockingRectangle`[get]`

## Detailed Description

Interface of Rosetta Window Node.

Author:
  Ivan Hronec This interface declares properties and methods that allow make a dockable window.

## Member Function Documentation

HRESULT IRsDockedWindow::OnMove | ( | [in] RtShort | sDeltaX,
|  | [in] RtShort | sDeltaY |
| ) |  |  |

This method is called when docking target window changes position.

Parameters:

  | sDeltaX | [In] Offset in X direction.
  | sDeltaY | [In] Offset in Y direction.

Returns:
  S_OK on succeess.

  Error code otherwise.

HRESULT IRsDockedWindow::OnResize | ( | [in] RtShort | sLeft,
|  | [in] RtShort | sTop,
|  | [in] RtShort | sWidth,
|  | [in] RtShort | sHeight |
| ) |  |  |

This method is called when docking target window changes size.

Parameters:

  | sLeft | [In] Target window left edge coordinate.
  | sTop | [In] Target window top edge coordinate.
  | sWidth | [In] Target window width.
  | sHeight | [In] Target window height.

Returns:
  S_OK on succeess.

  Error code otherwise.

HRESULT IRsDockedWindow::UpdatePosition | ( | void |  | ) |

This method updates position of docked window relative to target window.

Returns:
  S_OK on succeess.

  Error code otherwise.

## Property Documentation

RtShort* IRsDockedWindow::TargetCorner`[get]`

TargetCorner property defines corner to which docked window is docked.

Parameters:

  | pVal | [Out] Pointer to buffer for property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtShort IRsDockedWindow::TargetCorner`[set]`

TargetCorner property defines corner to which docked window is docked.

Parameters:

  | newVal | [In] New property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtShort* IRsDockedWindow::DockedCorner`[get]`

DockedCorner property defines docked window corner that defines offset relative to docking target corner.

Parameters:

  | pVal | [Out] Pointer to buffer for property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtShort IRsDockedWindow::DockedCorner`[set]`

DockedCorner property defines docked window corner that defines offset relative to docking target corner.

Parameters:

  | newVal | [In] New property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtBool* IRsDockedWindow::Docked`[get]`

Docked property is flag that window is docked or not.

Parameters:

  | pVal | [Out] Pointer to buffer for property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtShort* IRsDockedWindow::OffsetX`[get]`

OffsetX property is offset from docking target to docked corner in X direction.

Parameters:

  | pVal | [Out] Pointer to buffer for property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtShort IRsDockedWindow::OffsetX`[set]`

OffsetX property is offset from docking target to docked corner in X direction.

Parameters:

  | newVal | [In] New property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtShort* IRsDockedWindow::OffsetY`[get]`

OffsetY property is offset from docking target to docked corner in Y direction.

Parameters:

  | pVal | [Out] Pointer to buffer for property value.

Returns:
  S_OK on success.

  Error code otherwise.

RtShort IRsDockedWindow::OffsetY`[set]`

OffsetY property is offset from docking target to docked corner in Y direction.

Parameters:

  | newVal | [In] New property value.

Returns:
  S_OK on success.

  Error code otherwise.

IUnknown ** IRsDockedWindow::DockingTarget`[get]`

DockingTarget property is pointer to docking target.

Parameters:

  | pVal | [Out] Pointer to buffer for property value - pointer to docking target.

Returns:
  S_OK on success.

  Error code otherwise.

IUnknown* IRsDockedWindow::DockingTarget`[set]`

DockingTarget property is pointer to docking target.

Parameters:

  | newVal | [In] New property value - pointer to docking target.

Returns:
  S_OK on success.

  Error code otherwise.

RECT* IRsDockedWindow::DockingRectangle`[get]`

DockingRectangle property defines rectangle for docked windows.

Parameters:

  | pVal | [Out] Pointer to buffer for property value.

Returns:
  S_OK on success.

  Error code otherwise.